Subject: Re: bug#6535: 24.0.50; grep seems not to work

From: john ffitch <[email-masked]>
Date: Thu, 22 Sep 2011 09:52:31 +0100

>>>>> "Lars" == Lars Magne Ingebrigtsen <[email-masked]> writes:

 Lars> Jan Djärv <[email-masked]> writes:
 >> Ok, it is probably tsch.  Check if you have this in /etc/csh.cshrc, I
 >> have it on Suse 11.2:
 >> 
 >> #
 >> # Avoid trouble with Emacs shell mode
 >> #
 >> if ($?EMACS) then
 >> setenv LS_OPTIONS '-N --color=none -T 0';
 >> path tset -I -Q
 >> path stty cooked pass8 dec nl -echo
 >> # if ($?tcsh) unset edit
 >> endif
 >> 
 >> You can force Emacs to use sh or bash if you customize
 >> shell-file-name.  I don't know if Emacs should be able to handle this.

 Lars> This doesn't seem to be an Emacs bug?

Seems so.  I have not had any problems since fiddling with the tcsh
configuration.

==John ffitch